x2goruncommand(8)

NAME
x2goruncommand - Launch Command inside an X2Go Session

SYNOPSIS
x2goruncommand <display> <agent_pid> <session_id> <command> <sound_system> <session_type>

DESCRIPTION
x2goruncommand launches a(n X-based) command inside of a given X2Go session.

x2goruncommand is run with X2Go user privileges and normally executed by an X2Go client application.

ARGUMENTS

\FC<display>\F[]
    The X display number/port of the session this command is for.

\FC<agent_pid>\F[]
    The process ID (pid) of the x2goagent instance that the given session runs in.

\FC<session_id>\F[]
    The <session_id> is the unique identifier of the X2Go session that this command is intended for.

\FC<command>\F[]
    Execute command <command>. Full paths will be ignored, the command has to be in the server's $PATH. Possible generic values for <command> are: WWWBROWSER, OFFICE, MAILCLIENT and TERMINAL.

\FC<sound_system>\F[]
    Either of the possible sound systems supported by X2go: pulse, esd, arts (obsolete) or none.

\FC<session_type>\F[]
    Allowed values for <session_type> are: D (desktop) and R (rootless).

RETURN VALUES
By x2goruncommand nothing is reported on stdout or stderr.

As exitcode x2goruncommand always returns 0.

SEE ALSO
x2gostartagent(8), x2goresume-session(8), x2gosuspend-session(8), x2goterminate-sessions(8)

AUTHOR
This manual has been written by Mike Gabriel <mike.gabriel@das-netzwerkteam.de> for the X2Go project (http://www.x2go.org).